package com.yuexiu.secp.read.infra.util;

import com.google.common.base.Joiner;
import com.google.common.collect.Lists;
import org.apache.commons.lang.StringUtils;

import java.util.ArrayList;

/**
 * 生成key的工具类
 */
public class RedisUtils {
    //分隔符
    public final static String split = ":";
    public  static String getRedisKey(String... name) {
		StringBuffer sb = new StringBuffer();
		for (String str : name) {
			if (StringUtils.isNotBlank(str)) {
				sb.append(str);
				sb.append(split);
			}
		}
		sb = sb.deleteCharAt(sb.lastIndexOf(split));

		return sb.toString();
	}
    
    public static String getRedisKeyJoin(String... name){
    	ArrayList<String> strlist = Lists.newArrayList();
    	for (String str : name) {
			if (StringUtils.isNotBlank(str)) {
				strlist.add(str);
			}
		}
    	return Joiner.on("_").join(strlist);
    }


}
