package com.yuexiu.secp.read.model.dao;

import com.sie.iot.common.model.dao.BaseCommonDAO_HI;
import com.yuexiu.secp.read.model.entities.ArticlePreviewContentEntity;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

@Component("ArticlePreviewContentDao")
public interface ArticlePreviewContentDao extends BaseCommonDAO_HI<ArticlePreviewContentEntity> {

    /**
     * 根据文章任务id查询文章正文
     *
     * @param articlePreviewId 文章任务id
     * @return
     */
    @Select("select preview_content_id,article_preview_id,article_content from yxh_article_preview_content where " +
                    "article_preview_id = " +
                    "#{articlePreviewId," +
                    "jdbcType=BIGINT}")
    ArticlePreviewContentEntity selectByArticlePreviewId(Long articlePreviewId);

    @Select("update yxh_article_preview_content set article_content = #{articleContent,jdbcType=VARCHAR} where " +
                    "article_preview_id = " +
                    "#{articlePreviewId," +
                    "jdbcType=BIGINT}")
    int updateByArticlePreviewId(String articleContent, Long articlePreviewId);
}
