package com.yuexiu.secp.read.model.entities;

import java.util.Date;
import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sie.iot.common.idgenerate.GeneratedKeyValue;
import com.sie.iot.common.model.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 文章推广汇总表
 */
@Data
@TableName("yxh_article_gather")
@GeneratedKeyValue
@ApiModel(value = "文章推广汇总表")
public class ArticleGatherEntity  extends BaseEntity<ArticleGatherEntity> {
    @TableId(value = "article_gather_id", type = IdType.ASSIGN_ID)
    private Long articleGatherId;
    private Long articleId;
    private Integer readCount;
    private Integer totalPoint;
    private Integer shareCount;
    private Integer thumbsCount;
    private Long tenantId;
    private Long createdBy;
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date creationDate;
    private Long lastUpdatedBy;
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date lastUpdateDate;
    private Long lastUpdateLogin;
    private Integer deleteFlag;

    public void setArticleGatherId(Long articleGatherId) {
	this.articleGatherId = articleGatherId;
    }



    public Long getArticleGatherId() {
	return articleGatherId;
    }

    public void setArticleId(Long articleId) {
	this.articleId = articleId;
    }


    public Long getArticleId() {
	return articleId;
    }

    public void setReadCount(Integer readCount) {
	this.readCount = readCount;
    }


    public Integer getReadCount() {
	return readCount;
    }

    public void setTotalPoint(Integer totalPoint) {
	this.totalPoint = totalPoint;
    }


    public Integer getTotalPoint() {
	return totalPoint;
    }

    public void setShareCount(Integer shareCount) {
	this.shareCount = shareCount;
    }


    public Integer getShareCount() {
	return shareCount;
    }

    public void setThumbsCount(Integer thumbsCount) {
	this.thumbsCount = thumbsCount;
    }


    public Integer getThumbsCount() {
	return thumbsCount;
    }

    public void setTenantId(Long tenantId) {
	this.tenantId = tenantId;
    }


    public Long getTenantId() {
	return tenantId;
    }

    public void setCreatedBy(Long createdBy) {
	this.createdBy = createdBy;
    }


    public Long getCreatedBy() {
	return createdBy;
    }

    public void setCreationDate(Date creationDate) {
	this.creationDate = creationDate;
    }


    public Date getCreationDate() {
	return creationDate;
    }

    public void setLastUpdatedBy(Long lastUpdatedBy) {
	this.lastUpdatedBy = lastUpdatedBy;
    }


    public Long getLastUpdatedBy() {
	return lastUpdatedBy;
    }

    public void setLastUpdateDate(Date lastUpdateDate) {
	this.lastUpdateDate = lastUpdateDate;
    }


    public Date getLastUpdateDate() {
	return lastUpdateDate;
    }

    public void setLastUpdateLogin(Long lastUpdateLogin) {
	this.lastUpdateLogin = lastUpdateLogin;
    }


    public Long getLastUpdateLogin() {
	return lastUpdateLogin;
    }

    public void setDeleteFlag(Integer deleteFlag) {
	this.deleteFlag = deleteFlag;
    }


    public Integer getDeleteFlag() {
	return deleteFlag;
    }


}

