package com.yuexiu.secp.read.model.entities;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sie.iot.common.idgenerate.GeneratedKeyValue;
import com.sie.iot.common.model.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("yxh_article_preview")
@GeneratedKeyValue
@ApiModel(value = "文章预览表")
public class ArticlePreviewEntity extends BaseEntity<ArticlePreviewEntity> implements Serializable{
	@TableId(value = "article_preview_id", type = IdType.ASSIGN_ID)
	@ApiModelProperty(value = "文章预览id")
    private Long articlePreviewId;
    @ApiModelProperty(value = "文章任务id")
    private Long articleId;
    @ApiModelProperty(value = "发布单位")
    private String publishUnit;
    @ApiModelProperty(value = "文章标题")
    private String articleTitle;
    @ApiModelProperty(value = "推广开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date spreadBeginTime;
    @ApiModelProperty(value = "推广结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date spreadEndTime;
    @ApiModelProperty(value = "转发限制：1过期可推，2过期不可推")
    private Integer shareType;
    @ApiModelProperty(value = "建议文案1")
    private String copywrite1;
    @ApiModelProperty(value = "建议文案2")
    private String copywrite2;
    @ApiModelProperty(value = "建议文案3")
    private String copywrite3;
    @ApiModelProperty(value = "建议文案4")
    private String copywrite4;
    @ApiModelProperty(value = "建议文案5")
    private String copywrite5;
    @ApiModelProperty(value = "分享摘要")
    private String shareTitle;
    @ApiModelProperty(value = "分享小图")
    private String shareImg;
    @ApiModelProperty(value = "计划发布时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date releaseTime;
    @ApiModelProperty(value = "实际发布时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date releaseTaskTime;
    @ApiModelProperty(value = "任务发布人")
    private Integer releaseTaskUser;
    @ApiModelProperty(value = "结束任务时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date endTaskTime;
    @ApiModelProperty(value = "结束任务人")
    private Integer endTaskUser;
    @ApiModelProperty(value = "任务状态（1草稿/2待发布/3已发布/4已结束）")
    private Integer taskStatus;
    @ApiModelProperty(value = "推广状态（1有效期内/2已过有效期/3未开始）")
    private Integer promotionStatus;
    @ApiModelProperty(value = "审批状态")
    private Integer approvalStatus;
    @ApiModelProperty(value = "审批人")
    private Integer approvalUser;
    @ApiModelProperty(value = "审批时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date approvalTime;
    @ApiModelProperty(value = "文章类别")
    private Integer articleType;
    @ApiModelProperty(value = "文章类别别名")
    private String articleTypeAlias;
    @ApiModelProperty(value = "作者名称")
    private String authorName;
    @ApiModelProperty(value = "原文连接")
    private String articleUrl;
    @ApiModelProperty(value = "底部二维码")
    private String codeImg;
    @ApiModelProperty(value = "租户id")
    private Long tenantId;
    @ApiModelProperty(value = "版本号")
    private Long versionNum;
}
