package com.yuexiu.secp.read.model.entities;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sie.iot.common.idgenerate.GeneratedKeyValue;
import com.sie.iot.common.model.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("yxh_article_preview_project")
@GeneratedKeyValue
@ApiModel(value = "文章预览表")
public class ArticlePreviewProjectEntity extends BaseEntity<ArticlePreviewProjectEntity> implements Serializable{
	@TableId(value = "preview_project_id", type = IdType.ASSIGN_ID)
	@ApiModelProperty(value = "主键id")
    private Long previewProjectId;
    @ApiModelProperty(value = "文章预览id")
    private Long articlePreviewId;
    @ApiModelProperty(value = "关联类型: 1项目，2城市 ")
    private Integer projectType;
    @ApiModelProperty(value = "项目id")
    private Long projectId;
    @ApiModelProperty(value = "项目编码")
    private String projectCode;
    @ApiModelProperty(value = "项目描述")
    private String projectDesc;
    @ApiModelProperty(value = "项目区域")
    private String projectArea;
    @ApiModelProperty(value = "租户id")
    private Long tenantId;
    @ApiModelProperty(value = "版本号")
    private Long versionNum;
}
