package com.yuexiu.secp.read.model.entities;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sie.iot.common.idgenerate.GeneratedKeyValue;
import com.sie.iot.common.model.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("yxh_copywriting")
@GeneratedKeyValue
@ApiModel(value = "文案维护")
public class CopywritingEntity extends BaseEntity<CopywritingEntity> implements Serializable {
    @TableId(value = "copywriting_id", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键id")
    private Long copywritingId;
    @ApiModelProperty(value = "文案标题")
    private String copywritingTitle;
    @ApiModelProperty(value = "文案作者")
    private String copywritingAuthor;
    @ApiModelProperty(value = "文案分类")
    private Integer copywritingType;
    @ApiModelProperty(value = "文案状态")
    private Integer copywritingState;
    @ApiModelProperty(value = "内容类型")
    private Integer copywritingContentType;
    @ApiModelProperty(value = "生效开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date takeBeginTime;
    @ApiModelProperty(value = "生效结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date takeEndTime;
    @ApiModelProperty(value = "提示样式图片")
    private String tipsImg;
    @ApiModelProperty(value = "文案概要")
    private String copywritingOutline;
    @ApiModelProperty(value = "文案内容")
    private String copywritingConten;
    @ApiModelProperty(value = "租户id")
    private Long tenantId;
}
