package com.yuexiu.secp.read.model.entities.readonly;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value = "成本单位")
public class CopywritingEntityRO implements Serializable {

    public static final String QUERY_SQL = " SELECT \n" +
            " yc.copywriting_id as copywritingId,\n" +
            " yc.copywriting_title as copywritingTitle,\n" +
            " yc.copywriting_author as copywritingAuthor,\n" +
            " yc.copywriting_type as copywritingType,\n" +
            " yc.copywriting_state as copywritingState,\n" +
            " yc.copywriting_content_type as copywritingContentType,\n" +
            " yc.take_begin_time as takeBeginTime,\n" +
            " yc.take_end_time as takeEndTime,\n" +
            " yc.tips_img as tipsImg,\n" +
            " yc.copywriting_outline as copywritingOutline,\n" +
            " yc.copywriting_conten as copywritingConten,\n" +
            " yc.tenant_id as tenantId\n" +
            "FROM\n" +
            " yxh_copywriting yc \n" +
            "WHERE\n" +
            " yc.delete_flag = 0 ";

    @ApiModelProperty(value = "主键id")
    private Long copywritingId;
    @ApiModelProperty(value = "文案标题")
    private String copywritingTitle;
    @ApiModelProperty(value = "文案作者")
    private String copywritingAuthor;
    @ApiModelProperty(value = "文案分类")
    private Integer copywritingType;
    @ApiModelProperty(value = "文案状态")
    private Integer copywritingState;
    @ApiModelProperty(value = "内容类型")
    private Integer copywritingContentType;
    @ApiModelProperty(value = "生效开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date takeBeginTime;
    @ApiModelProperty(value = "生效结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date takeEndTime;
    @ApiModelProperty(value = "提示样式图片")
    private String tipsImg;
    @ApiModelProperty(value = "文案概要")
    private String copywritingOutline;
    @ApiModelProperty(value = "文案内容")
    private String copywritingConten;
    @ApiModelProperty(value = "租户id")
    private Long tenantId;
}
