package com.yuexiu.secp.read.dto;


import com.alibaba.fastjson.annotation.JSONField;
import com.sie.iot.common.bean.ReqeustCommonDataBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "查询文章任务dto")
public class ArticlePreviewQueryDto extends ReqeustCommonDataBean {

    @ApiModelProperty(value = "文章标题")
    private String articleTitle;
    @ApiModelProperty(value = "发布单位")
    private String publishUnit;
    @ApiModelProperty(value = "推广状态（1有效期内/2已过有效期/3未开始）")
    private Integer promotionStatus;
    @ApiModelProperty(value = "任务状态（1草稿/2待发布/3已发布/4已下架）")
    private Integer taskStatus;
    @ApiModelProperty(value = "查询使用,操作人")
    private String oprator;
    @ApiModelProperty(value = "推广开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String spreadBeginTime;
    @ApiModelProperty(value = "推广结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String spreadEndTime;
    @ApiModelProperty(value = "计划发布开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String releaseBeginTime;
    @ApiModelProperty(value = "计划发布结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String releaseEndTime;
    @ApiModelProperty(value = "实际发布开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String releaseTaskBeginTime;
    @ApiModelProperty(value = "实际发布结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String releaseTaskEndTime;
}
