package com.yuexiu.secp.read.dto;


import com.alibaba.fastjson.annotation.JSONField;
import com.sie.iot.common.bean.ReqeustCommonDataBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "新增/编辑文章任务")
public class ArticlePreviewSaveDto extends ReqeustCommonDataBean {

    @ApiModelProperty(value = "文章任务id")
    private Long articlePreviewId;
    @ApiModelProperty(value = "发布单位")
    private String publishUnit;
    @ApiModelProperty(value = "文章类别")
    private Integer articleType;
    @ApiModelProperty(value = "文章类别别名")
    private String articleTypeAlias;
    @ApiModelProperty(value = "计划发布时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String releaseTime;
    @ApiModelProperty(value = "推广开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String spreadBeginTime;
    @ApiModelProperty(value = "推广结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String spreadEndTime;
    @ApiModelProperty(value = "任务状态（1草稿/2待发布/3已发布/4已下架）")
    private Integer taskStatus;
    @ApiModelProperty(value = "建议推广人,1.按CDP标签选择;2.按部门;3.按项目;4.按CDP标签删除")
    private String spreadType;
    @ApiModelProperty(value = "建议推广人选部门或项目时，需要返回选择项")
    private List<Object> spreadList;
    @ApiModelProperty(value = "转发限制：1过期可推，2过期不可推")
    private Integer shareType;
    @ApiModelProperty(value = "所属城市/项目（1按项目/2按城市）")
    private Integer placeOfOrigin;
    @ApiModelProperty(value = "文章标题")
    private String articleTitle;
    @ApiModelProperty(value = "文章正文")
    private String articleContent;
    @ApiModelProperty(value = "建议文案1")
    private String copyWrite1;
    @ApiModelProperty(value = "建议文案2")
    private String copyWrite2;
    @ApiModelProperty(value = "建议文案3")
    private String copyWrite3;
    @ApiModelProperty(value = "建议文案4")
    private String copyWrite4;
    @ApiModelProperty(value = "建议文案5")
    private String copyWrite5;
    @ApiModelProperty(value = "分享小图")
    private String shareImg;
    @ApiModelProperty(value = "分享摘要")
    private String shareTitle;
    @ApiModelProperty(value = "原文链接")
    private String articleUrl;
    @ApiModelProperty(value = "底部二维码")
    private String codeImg;
}
