package com.yuexiu.secp.read.controller;

import com.sie.iot.common.bean.ResponseData;
import com.sie.iot.common.secure.annotation.CheckToken;
import com.yuexiu.secp.read.dto.ArticleQueryDto;
import com.yuexiu.secp.read.model.entities.ArticleEntity;
import com.yuexiu.secp.read.model.service.IArticleServer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@Validated
@Api(value = "阅读有礼-文章", tags = "阅读有礼-文章")
@RestController
@RequestMapping("/ArticleController")
public class ArticleController {


    @Autowired
    private IArticleServer iArticleServer;

    /**
     * 最新推查询
     * @param articleQueryDto
     * @return
     */
    @ApiOperation(value = "查询最新推荐", notes = "根据城市与项目查询最新推荐数据")
    @PostMapping(value = "/findNewest")
    @CheckToken
    public ResponseData<List<ArticleEntity>> findNewest(@RequestBody ArticleQueryDto articleQueryDto) {
        List<ArticleEntity> recommendedAndPast = iArticleServer.findNewest(articleQueryDto);
        return  ResponseData.data(recommendedAndPast);
    }

    /**
     * 查询往期推荐
     */
    @ApiOperation(value = "查询往期推荐", notes = "根据城市与项目查询往期推荐数据")
    @PostMapping(value = "/findPrevious")
    @CheckToken
    public ResponseData<List<ArticleEntity>> findPrevious(@RequestBody ArticleQueryDto articleQueryDto) {
        List<ArticleEntity> recommendedAndPast = iArticleServer.findPrevious(articleQueryDto);
        return  ResponseData.data(recommendedAndPast);
    }






}
