package com.yuexiu.secp.read.controller;


import com.sie.iot.common.secure.annotation.CheckToken;
import com.yuexiu.secp.read.dto.ArticleAddCountDto;
import com.yuexiu.secp.read.model.service.IArticleGatherServer;
import com.yuexiu.secp.read.vo.StatisticsRespVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;


@Validated
@Api(value = "阅读有礼-文章推广汇总", tags = "阅读有礼-文章推广汇总")
@RestController
@RequestMapping("/ArticleGatherController")
public class ArticleGatherController {


	@Autowired
	private IArticleGatherServer iArticleGatherServer;

	@ApiOperation(value = "根据文章id阅读数和分享数", notes = "根据文章id阅读数和分享数")
	@GetMapping(value = "/find/{articleId}/count")
	@CheckToken
	public StatisticsRespVo findByArticleIdCount(@PathVariable Long articleId) {
		return iArticleGatherServer.findByArticleIdCount(articleId);
	}


	/**
	 * 根据文章id增加相关的文章阅读数和分享数
	 */
	@ApiOperation(value = "根据文章id增加相关的文章阅读数和分享数", notes = "根据文章id增加相关的文章阅读数和分享数")
	@PostMapping(value = "/add/ArticleCount")
	@CheckToken
	public void addArticleCount(@RequestBody ArticleAddCountDto articlePreviewDto) {
		iArticleGatherServer.addArticleCount(articlePreviewDto);

	}


}
