package com.yuexiu.secp.read.model.service;

import com.yuexiu.secp.read.dto.ArticleAddCountDto;
import com.yuexiu.secp.read.model.entities.ArticleGatherEntity;
import com.yuexiu.secp.read.vo.StatisticsRespVo;

public interface IArticleGatherServer  {

    /**
     * 根据类型和文章id，获取统计数
     * @param articleId
     */
    String findByArticleIdAndTypeCount(Long articleId , int type);

    /**
     * 根据文章id获取相关统计数
     * @param articleId
     */
    StatisticsRespVo findByArticleIdCount(Long articleId);


    /**
     * 根据文章和类型，增加相关的统计数
     * @param articlePreviewDto
     */
    void addArticleCount(ArticleAddCountDto articlePreviewDto);


}
