package com.yuexiu.secp.read.model.service;

import com.alibaba.fastjson.JSONObject;
import com.sie.iot.common.bean.OrderByBean;
import com.sie.iot.common.model.inter.IBaseCommon;
import com.siefw.hibernate.core.paging.Pagination;
import com.yuexiu.secp.read.dto.ArticlePreviewSaveDto;
import com.yuexiu.secp.read.model.entities.ArticlePreviewEntity;

public interface IArticlePreview extends IBaseCommon<ArticlePreviewEntity> {

    /**
     * 新增文章任务
     *
     * @param dto
     * @return
     */
    ArticlePreviewEntity saveArticlePreview(ArticlePreviewSaveDto dto);

    /**
     * 编辑文章任务
     *
     * @param dto
     * @return
     */
    ArticlePreviewEntity updateArticlePreview(ArticlePreviewSaveDto dto);

    /**
     * 根据文章任务id查询相关信息
     *
     * @param previewId 文章任务id
     * @return
     */
    ArticlePreviewSaveDto findByArticlePreviewId(Long previewId);

    /**
     * 分页查询 部门列表
     *
     * @param jsonObject  条件参数
     * @param pageIndex   第几页
     * @param pageRows    每页数量
     * @param orderByBean orderByBean
     * @return
     */
    Pagination<ArticlePreviewEntity> findPagination(JSONObject jsonObject, Integer pageIndex, Integer pageRows, OrderByBean orderByBean);

}
