package com.yuexiu.secp.read.model.service.impl;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSONObject;
import com.sie.iot.common.bean.OrderByBean;
import com.sie.iot.common.model.inter.server.BaseCommonServer;
import com.sie.iot.common.util.SaafToolUtils;
import com.siefw.hibernate.core.dao.ViewObject;
import com.siefw.hibernate.core.paging.Pagination;
import com.yuexiu.secp.read.model.dao.readonly.CopywritingDaoRO;
import com.yuexiu.secp.read.model.entities.CopywritingEntity;
import com.yuexiu.secp.read.model.entities.readonly.CopywritingEntityRO;
import com.yuexiu.secp.read.model.service.ICopywriting;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component("copywritingServer")
public class CopywritingServer extends BaseCommonServer<CopywritingEntity> implements ICopywriting {
    @Autowired
    private ViewObject<CopywritingEntity> copywritingDao;
    @Autowired
    private CopywritingDaoRO copywritingDaoRO;

    /**
     *  分页查询 文案
     * @param jsonObject
     * @param pageIndex
     * @param pageRows
     * @param orderByBean
     * @return
     */
    @Override
    public Pagination<CopywritingEntityRO> findPaginationRO(JSONObject jsonObject, Integer pageIndex, Integer pageRows, OrderByBean orderByBean) {
        Map<String, Object> paramsMap = new HashMap<String, Object>();
        StringBuffer querySQL = new StringBuffer(CopywritingEntityRO.QUERY_SQL);

        //通过 文案标题 模糊查询
        if (StrUtil.isNotEmpty(jsonObject.getString("copywritingTitle"))) {
            SaafToolUtils.parperParam(jsonObject, "yc.copywriting_title", "copywritingTitle", querySQL, paramsMap, "like");
        }
        //通过 文案作者 模糊查询
        if (StrUtil.isNotEmpty(jsonObject.getString("copywritingAuthor"))) {
            SaafToolUtils.parperParam(jsonObject, "yc.copywriting_author", "copywritingAuthor", querySQL, paramsMap, "like");
        }
        //通过 文案状态 查询
        if (StrUtil.isNotEmpty(jsonObject.getString("copywritingState"))) {
            SaafToolUtils.parperParam(jsonObject, "yc.copywriting_state", "copywritingState", querySQL, paramsMap, "=");
        }

        SaafToolUtils.sortUtil(orderByBean, querySQL);
        return copywritingDaoRO.findPagination(querySQL.toString(), paramsMap, pageIndex, pageRows);
    }

}
