package com.yuexiu.secp.read.model.service.impl;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSONObject;
import com.sie.iot.common.bean.OrderByBean;
import com.sie.iot.common.model.inter.server.BaseCommonServer;
import com.sie.iot.common.util.SaafToolUtils;
import com.siefw.base.utils.SToolUtils;
import com.siefw.hibernate.core.dao.ViewObject;
import com.siefw.hibernate.core.paging.Pagination;
import com.yuexiu.secp.read.model.dao.readonly.CostUnitDaoRO;
import com.yuexiu.secp.read.model.entities.CostUnitEntity;
import com.yuexiu.secp.read.model.entities.readonly.CostUnitEntityRO;
import com.yuexiu.secp.read.model.service.ICostUnit;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component("costUnitServer")
public class CostUnitServer extends BaseCommonServer<CostUnitEntity> implements ICostUnit {
    @Autowired
    private ViewObject<CostUnitEntity> costUnitDao;
    @Autowired
    private CostUnitDaoRO costUnitDaoRO;

    /**
     *  分页查询 成本单位
     * @param jsonObject
     * @param pageIndex
     * @param pageRows
     * @param orderByBean
     * @return
     */
    @Override
    public Pagination<CostUnitEntityRO> findPaginationRO(JSONObject jsonObject, Integer pageIndex, Integer pageRows, OrderByBean orderByBean) {
        Map<String, Object> paramsMap = new HashMap<String, Object>();
        StringBuffer querySQL = new StringBuffer(CostUnitEntityRO.QUERY_SQL);

        //通过 成本单位名称 模糊查询
        if (StrUtil.isNotEmpty(jsonObject.getString("unitName"))) {
            SaafToolUtils.parperParam(jsonObject, "ycu.unit_name", "unitName", querySQL, paramsMap, "like");
        }

        SaafToolUtils.sortUtil(orderByBean, querySQL);
        return costUnitDaoRO.findPagination(querySQL.toString(), paramsMap, pageIndex, pageRows);
    }

}
