package com.yuexiu.secp.read.model.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.sie.iot.common.bean.OrderByBean;
import com.sie.iot.common.model.inter.server.BaseCommonServer;
import com.sie.iot.common.util.SaafToolUtils;
import com.siefw.hibernate.core.dao.ViewObject;
import com.siefw.hibernate.core.paging.Pagination;
import com.yuexiu.secp.read.model.dao.readonly.UnitUserDaoRO;
import com.yuexiu.secp.read.model.entities.UnitUserEntity;
import com.yuexiu.secp.read.model.entities.readonly.UnitUserEntityRO;
import com.yuexiu.secp.read.model.service.IUnitUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component("unitUserServer")
public class UnitUserServer extends BaseCommonServer<UnitUserEntity> implements IUnitUser {
    @Autowired
    private ViewObject<UnitUserEntity> unitUserDao;
    @Autowired
    private UnitUserDaoRO unitUserDaoRO;

    /**
     *  分页查询 成本单位授权
     * @param jsonObject
     * @param pageIndex
     * @param pageRows
     * @param orderByBean
     * @return
     */
    @Override
    public Pagination<UnitUserEntityRO> findPaginationRO(JSONObject jsonObject, Integer pageIndex, Integer pageRows, OrderByBean orderByBean) {
        Map<String, Object> paramsMap = new HashMap<String, Object>();
        StringBuffer querySQL = new StringBuffer(UnitUserEntityRO.QUERY_SQL);

        SaafToolUtils.sortUtil(orderByBean, querySQL);
        return unitUserDaoRO.findPagination(querySQL.toString(), paramsMap, pageIndex, pageRows);
    }
}
