package com.yuexiu.secp.registration;

import com.sie.iot.common.application.CommonApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.autoconfigure.orm.jpa.HibernateJpaAutoConfiguration;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.context.annotation.ImportResource;
import org.springframework.web.bind.annotation.RestController;


@SpringBootApplication
@RestController
@EnableDiscoveryClient
@EnableAspectJAutoProxy(proxyTargetClass = true)
@ImportResource({"classpath*:com/yuexiu/secp/registration/config/spring.mybatis.cfg.xml"})
@EnableFeignClients
@EnableAutoConfiguration(exclude={DataSourceAutoConfiguration.class, HibernateJpaAutoConfiguration.class})
public class RegistrationApplication extends CommonApplication {
    public static void main(String[] args) {
        args = new String[1];
        args[0] = "--spring.profiles.active=yuexiu2069";
        new SpringApplicationBuilder(RegistrationApplication.class).run(args);
    }
}

